# PrivateMessage mod
# Send a message to another player!
# Syntax (In console or chat): "pm_create [PLAYER STEAMID] "[MESSAGE]" ""
#Req only Eventscripts 2.0 or higher
#Remake of Lobe's PM mod, just make for speed

import es

pmpublic = es.ServerVar('pm_version')
pmpublic.set('1.1')
pmpublic.makepublic()

es.regclientcmd('pm_create', 'pm/createmessage') 
es.regclientcmd('pm_help', 'pm/help') 

info = es.AddonInfo()
info['name']        = "PrivateMessage Mod"
info['version']     = "1.1"
info['author']      = "Thekiller"
info['url']         = "http://clanroyal.dk"
info['description'] = "Send a message to another player!" 
 
def createmessage():
	# Lets get the Userid of the sender
	userid = es.getcmduserid()
	# Lets get the name of the sender
	namesend = es.getplayername(user) 
	# Lets make sure the right number of arguments were sent
	tempvar = es.getargc()
	if tempvar == '3':
		# Ok, so the right number of arguments have been issued. Lets get the recipients UserID
		tempvar1 = es.getargv(1)
		tempvar2 = es.getuserid(tempvar1)
		# Ok, so we have the userid. Lets check to see if its actualy there:
		if tempvar2 != '0'):
			# Ok, so its here. Get the message
			tempvar3 = es.getargv(2)
			# And then lets get the senders name
			nameget = es.getplayername(tempvar2) 
			# Now, lets send the message
			es.menu('60', tempvar2, "PrivateMessage Mod - Coded by Lobe\n -----------------------\n\nMessage from: %s\n%s\n \n ->9. Close" % (nameget, tempvar3))
			es.tell (tempvar2, "#green You have recieved a new message!")
		else:
			es.tell (userid, "#green Error: SteamID %s not on the server. For help, type pm_help in chat or console" % tempvar2)
	else:
		es.tell (userid, "#green Error: Syntax Incorrect. Type pm_help in chat for assistance!")
  
def help():
	# Lets get the userID
	userid = es.getcmduserid()
	es.tell (userid, "#green Check your console for help!")
	es.cexec(userid,'echo','---------------------------------------------')
	es.cexec(userid,'echo','|     Private Message Script Help')
	es.cexec(userid,'echo','---------------------------------------------')
	es.cexec(userid,'echo','|  To send a message, type in console')
	es.cexec(userid,'echo','|  or chat pm_create, followed by the')
	es.cexec(userid,'echo','|  steamID or partial name of the person')
	es.cexec(userid,'echo','|  you want to send the message to,')
	es.cexec(userid,'echo','|  followed by the message, in quotes.')
	es.cexec(userid,'echo','|  To make a new line on the message, put')
	es.cexec(userid,'echo','|  a \n where you want the new line to be')
	es.cexec(userid,'echo','|  placed. An example of this is below:')
	es.cexec(userid,'echo','|  pm_create \"STEAM_0:0:11806847\" \"hi\nsup?\"')
	es.cexec(userid,'echo','|  Get steamid of a player? Type status in console')
	es.cexec(userid,'echo','---------------------------------------------')
